--=======================================================================================================================
-- MASTER TABLES
--=======================================================================================================================
-------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
--=======================================================================================================================	
-- BUILDINGS
--=======================================================================================================================	
------------------------------------------------------------------------------------------------------------------------
-- Buildings
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 	
		(Type, 					BuildingClass, PrereqTech, Cost, MinAreaSize, AllowsRangeStrike, Defense, ExtraCityHitPoints, HurryCostModifier, ArtInfoCulturalVariation, NeverCapture,  Description, 					Help, 								Strategy,								Civilopedia, 						ArtDefineTag, PortraitIndex, IconAtlas)
SELECT	'BUILDING_JFD_HRAD',	BuildingClass, PrereqTech, Cost, MinAreaSize, AllowsRangeStrike, Defense, ExtraCityHitPoints, HurryCostModifier, ArtInfoCulturalVariation, 1, 			'TXT_KEY_BUILDING_JFD_HRAD', 	'TXT_KEY_BUILDING_JFD_HRAD_HELP',   'TXT_KEY_BUILDING_JFD_HRAD_STRATEGY',	'TXT_KEY_BUILDING_JFD_HRAD_TEXT',   ArtDefineTag, 2, 			 'JFD_BOHEMIA_VACLAV_II_ICON_ATLAS'
FROM Buildings WHERE Type = 'BUILDING_CASTLE';	
------------------------------------------------------------------------------------------------------------------------	
-- Building_Flavors
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType,  Flavor)
SELECT	'BUILDING_JFD_HRAD',	FlavorType,  Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_CASTLE';

INSERT INTO Building_Flavors 
		(BuildingType, 			FlavorType,					Flavor)
VALUES	('BUILDING_JFD_HRAD', 	'FLAVOR_CITY_DEFENSE',		50),
		('BUILDING_JFD_HRAD', 	'FLAVOR_TILE_IMPROVEMENT',	10),
		('BUILDING_JFD_HRAD', 	'FLAVOR_GOLD',				50);
------------------------------------------------------------------------------------------------------------------------	
-- Building_ResourceYieldChanges
------------------------------------------------------------------------------------------------------------------------					
INSERT INTO Building_ResourceYieldChanges 
		(BuildingType, 			ResourceType,		YieldType,		Yield)
VALUES	('BUILDING_JFD_HRAD',	'RESOURCE_COW',		'YIELD_GOLD',	1),
		('BUILDING_JFD_HRAD',	'RESOURCE_SHEEP',	'YIELD_GOLD',	1),
		('BUILDING_JFD_HRAD',	'RESOURCE_WHEAT',	'YIELD_GOLD',	1),
		('BUILDING_JFD_HRAD',	'RESOURCE_STONE',	'YIELD_GOLD',	1);
------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 								DefaultBuilding, 				Description)
VALUES	('BUILDINGCLASS_DUMMY_JFD_HRAD', 	'BUILDING_DUMMY_JFD_HRAD',		'TXT_KEY_BUILDING_DUMMY_JFD_HRAD');
------------------------------------------------------------------------------------------------------------------------	
-- Buildings
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 		
		(Type, 						 	BuildingClass, 						PlotBuyCostModifier,	PrereqTech, Cost, FaithCost, GreatWorkCount,	NeverCapture,	Description, 							Help)
VALUES	('BUILDING_DUMMY_JFD_HRAD',		'BUILDINGCLASS_DUMMY_JFD_HRAD',		-25,					null,		-1,   -1,		 -1,				1,				'TXT_KEY_BUILDING_DUMMY_JFD_HRAD',		'TXT_KEY_BUILDING_DUMMY_JFD_HRAD_HELP');
--=======================================================================================================================	
-- UNITS
--=======================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- UnitPromotions
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO UnitPromotions 
		(Type, 									ExtraAttacks,	CanMoveAfterAttacking,  DefenseMod,	LostWithUpgrade,  Description, 									Help, 												Sound, 				CannotBeChosen, PortraitIndex, 	IconAtlas, 			PediaType, 			 PediaEntry)
VALUES	('PROMOTION_JFD_TABOR',					0,				0,						0, 			1,				  'TXT_KEY_PROMOTION_JFD_TABOR',				'TXT_KEY_PROMOTION_JFD_TABOR_HELP', 				'AS2D_IF_LEVELUP', 	1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES',  'TXT_KEY_PROMOTION_JFD_TABOR'),
		('PROMOTION_JFD_TABOR_OTHER',			0,				0,						100, 		1,				  'TXT_KEY_PROMOTION_JFD_TABOR_OTHER',			'TXT_KEY_PROMOTION_JFD_TABOR_OTHER_HELP',			'AS2D_IF_LEVELUP', 	1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES',  'TXT_KEY_PROMOTION_JFD_TABOR_OTHER'),
		('PROMOTION_JFD_TABOR_RANGED_OTHER',	1,				1,						0, 			1,				  'TXT_KEY_PROMOTION_JFD_TABOR_RANGED_OTHER',	'TXT_KEY_PROMOTION_JFD_TABOR_RANGED_OTHER_HELP', 	'AS2D_IF_LEVELUP', 	1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES',  'TXT_KEY_PROMOTION_JFD_TABOR_RANGED_OTHER');
------------------------------------------------------------------------------------------------------------------------
-- Units
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Units 	
		(Type, 				Class, Cost, Moves, CivilianAttackPriority, Special, Domain, DefaultUnitAI, AdvancedStartCost, WorkRate, CombatLimit, MoveRate, Description, 				Help, 							Strategy, 							Civilopedia, 					UnitArtInfo, 				UnitFlagAtlas,								UnitFlagIconOffset,	IconAtlas,							PortraitIndex)
SELECT	'UNIT_JFD_TABOR',	Class, Cost, Moves, CivilianAttackPriority, Special, Domain, DefaultUnitAI, AdvancedStartCost, WorkRate, CombatLimit, MoveRate, 'TXT_KEY_UNIT_JFD_TABOR',	'TXT_KEY_UNIT_JFD_TABOR_HELP', 	'TXT_KEY_UNIT_JFD_TABOR_STRATEGY',  'TXT_KEY_UNIT_JFD_TABOR_TEXT',	'ART_DEF_UNIT_JFD_TABOR',	'JFD_BOHEMIA_VACLAV_II_UNIT_FLAG_ATLAS',	0,					'JFD_BOHEMIA_VACLAV_II_ICON_ATLAS',	3
FROM Units WHERE Type = 'UNIT_GREAT_GENERAL';

UPDATE Units
SET ExtraMaintenanceCost = 1, PurchaseOnly = 1, Cost = 320, PrereqTech = 'TECH_METAL_CASTING'
WHERE Type = 'UNIT_JFD_TABOR';
------------------------------------------------------------------------------------------------------------------------		
-- Unit_AITypes
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Unit_AITypes 	
		(UnitType, 			UnitAIType)
SELECT	'UNIT_JFD_TABOR', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_GENERAL';
------------------------------------------------------------------------------------------------------------------------	
-- Unit_Flavors
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Unit_Flavors 	
		(UnitType, 			FlavorType, Flavor)
SELECT	'UNIT_JFD_TABOR', 	FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_GENERAL';
------------------------------------------------------------------------------------------------------------------------	
-- Unit_FreePromotions
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_FreePromotions
		(UnitType, 			PromotionType)
VALUES	('UNIT_JFD_TABOR',  'PROMOTION_JFD_TABOR'),
		('UNIT_JFD_TABOR',  'PROMOTION_GREAT_GENERAL');	
------------------------------------------------------------------------------------------------------------------------	
-- UnitGameplay2DScripts
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 			SelectionSound,	FirstSelectionSound)
SELECT	'UNIT_JFD_TABOR', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_GENERAL';
------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 								DefaultBuilding, 				Description)
VALUES	('BUILDINGCLASS_DUMMY_JFD_TABOR', 	'BUILDING_DUMMY_JFD_TABOR',		'TXT_KEY_BUILDING_DUMMY_JFD_TABOR');
------------------------------------------------------------------------------------------------------------------------	
-- Buildings
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 		
		(Type, 						 	BuildingClass, 						Defense,	PrereqTech, Cost, FaithCost, GreatWorkCount,	NeverCapture,	Description, 							Help)
VALUES	('BUILDING_DUMMY_JFD_TABOR',	'BUILDINGCLASS_DUMMY_JFD_TABOR',	100,		null,		 -1,   -1,		  -1,				1,				'TXT_KEY_BUILDING_DUMMY_JFD_TABOR',		'TXT_KEY_BUILDING_DUMMY_JFD_TABOR_HELP');
--=======================================================================================================================	
-- LEADERS
--=======================================================================================================================	
------------------------------------------------------------------------------------------------------------------------
-- Leaders
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 								ArtDefineTag, 						Description, 								Civilopedia, 									CivilopediaTag, 										IconAtlas, 								PortraitIndex)
VALUES	('LEADER_JFD_BOHEMIA_VACLAV_II', 	'JFD_BohemiaVaclavII_Scene.xml',	'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II',		'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_PEDIA',	'TXT_KEY_CIVILOPEDIA_LEADERS_JFD_BOHEMIA_VACLAV_II',	'JFD_BOHEMIA_VACLAV_II_ICON_ATLAS', 	1);

UPDATE Leaders
SET VictoryCompetitiveness = 4,
WonderCompetitiveness = 5,
MinorCivCompetitiveness = 9,
Boldness = 8,
DiploBalance = 5,
WarmongerHate = 6,
DenounceWillingness = 6,
DoFWillingness = 5,
Loyalty = 5,
Neediness = 5,
Forgiveness = 4,
Chattiness = 4,
Meanness = 3
WHERE Type = 'LEADER_JFD_BOHEMIA_VACLAV_II';	
------------------------------------------------------------------------------------------------------------------------		
-- Leader_MajorCivApproachBiases
------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 						MajorCivApproachType, 				Bias)
VALUES	('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_WAR', 			5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_HOSTILE', 		5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_DECEPTIVE',		5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_GUARDED', 		8),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_AFRAID', 		4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		7);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 						MinorCivApproachType, 				Bias)
VALUES	('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MINOR_CIV_APPROACH_IGNORE', 		2),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MINOR_CIV_APPROACH_FRIENDLY', 		9),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	8),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MINOR_CIV_APPROACH_CONQUEST', 		2),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'MINOR_CIV_APPROACH_BULLY', 		2);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 						FlavorType, 						Flavor)
VALUES	('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_OFFENSE', 					4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_DEFENSE', 					8),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_CITY_DEFENSE', 				9),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_MILITARY_TRAINING', 		5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_RECON', 					4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_RANGED', 					7),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_MOBILE', 					5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_NAVAL', 					3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_NAVAL_RECON', 				3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_NAVAL_GROWTH', 				3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_AIR', 						3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_EXPANSION', 				5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_GROWTH', 					8),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_TILE_IMPROVEMENT', 			7),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_INFRASTRUCTURE', 			6),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_PRODUCTION', 				5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_GOLD', 						7),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_SCIENCE', 					4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_CULTURE', 					5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_HAPPINESS', 				5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_GREAT_PEOPLE', 				3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_WONDER', 					3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_RELIGION', 					4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_DIPLOMACY', 				9),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_SPACESHIP', 				4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_WATER_CONNECTION', 			6),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_NUKE', 						3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_USE_NUKE', 					3),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_ESPIONAGE', 				4),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_AIRLIFT', 					5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_I_TRADE_DESTINATION', 		5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_I_TRADE_ORIGIN', 			5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		8),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_ARCHAEOLOGY', 				5),
		('LEADER_JFD_BOHEMIA_VACLAV_II', 	'FLAVOR_AIR_CARRIER', 				5);
--------------------------------------------------------------------------------------------------------------------------
-- Diplomacy_Responses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Diplomacy_Responses
		(LeaderType, 						ResponseType, 							 			Response, 																	 	Bias)
VALUES 	('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_AI_DOF_BACKSTAB', 			 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_DENOUNCE_FRIEND%', 			 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_ATTACKED_HOSTILE', 			 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_ATTACKED_HOSTILE%', 			 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_DEFEATED', 					 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_DEFEATED%', 					 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_DOW_GENERIC', 				 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_DOW_GENERIC%', 				 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_EXPANSION_SERIOUS_WARNING', 				'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_EXPANSION_SERIOUS_WARNING%', 	 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_FIRST_GREETING', 				 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_FIRSTGREETING%', 				 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_GREETING_HOSTILE_HELLO', 					'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_GREETING_HOSTILE_HELLO%', 		 		500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_GREETING_NEUTRAL_HELLO', 					'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_GREETING_NEUTRAL_HELLO%', 		 		500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_GREETING_POLITE_HELLO', 					'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_GREETING_POLITE_HELLO%', 		 			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_HOSTILE_AGGRESSIVE_MILITARY_WARNING', 	'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_HOSTILE_AGGRESSIVE_MILITARY_WARNING%', 	500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_LUXURY_TRADE', 							'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_LUXURY_TRADE%', 		  					500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_OPEN_BORDERS_EXCHANGE', 					'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_OPEN_BORDERS_EXCHANGE%', 		  			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_REQUEST', 								'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_REQUEST%', 		  						500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_TOO_SOON_NO_PEACE', 			 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_TOO_SOON_NO_PEACE%', 			  			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_RESPONSE_TO_BEING_DENOUNCED',  			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_RESPONSE_TO_BEING_DENOUNCED%',   			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_WINWAR', 		 							'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_WINWAR%', 					  			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_WORK_AGAINST_SOMEONE', 		 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_DENOUNCE%', 					  			500),
		('LEADER_JFD_BOHEMIA_VACLAV_II',	'RESPONSE_WORK_WITH_US', 				 			'TXT_KEY_LEADER_JFD_BOHEMIA_VACLAV_II_DEC_FRIENDSHIP%', 			  	  		500);
------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 						TraitType)
VALUES	('LEADER_JFD_BOHEMIA_VACLAV_II', 	'TRAIT_JFD_BOHEMIA_VACLAV_II');
------------------------------------------------------------------------------------------------------------------------
-- Traits
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits 
		(Type, 								Description, 								ShortDescription)
VALUES	('TRAIT_JFD_BOHEMIA_VACLAV_II', 	'TXT_KEY_TRAIT_JFD_BOHEMIA_VACLAV_II',		'TXT_KEY_TRAIT_JFD_BOHEMIA_VACLAV_II_SHORT');
------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 											DefaultBuilding, 							Description)
VALUES	('BUILDINGCLASS_DUMMY_JFD_BOHEMIA_VACLAV_II', 	'BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II',		'TXT_KEY_BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II');
------------------------------------------------------------------------------------------------------------------------	
-- Buildings
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 		
		(Type, 						 					BuildingClass, 									ReligiousPressureModifier,	ExtraLeagueVotes,	PrereqTech, Cost, FaithCost, GreatWorkCount,	NeverCapture,	Description, 											Help)
VALUES	('BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II',		'BUILDINGCLASS_DUMMY_JFD_BOHEMIA_VACLAV_II',	0,							1,					null,		 -1,   -1,		  -1,				1,				'TXT_KEY_BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II',			'TXT_KEY_BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II_HELP'),
		('BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II_OTHER',	'BUILDINGCLASS_DUMMY_JFD_BOHEMIA_VACLAV_II',	50,							0,					null,		 -1,   -1,		  -1,				1,				'TXT_KEY_BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II_OTHER',	'TXT_KEY_BUILDING_DUMMY_JFD_BOHEMIA_VACLAV_II_OTHER_HELP');
--=======================================================================================================================	
-- CIVILIZATIONS
--=======================================================================================================================	
------------------------------------------------------------------------------------------------------------------------
-- Civilizations
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilizations 	
		(Type, 									DerivativeCiv,				SoundtrackTag,  MapImage, 							DawnOfManQuote, 								DawnOfManImage,					Description,								ShortDescription,								Adjective,										Civilopedia,									CivilopediaTag,							 DefaultPlayerColor,					 ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,								PortraitIndex,	AlphaIconAtlas)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_JFD_TAL_BOHEMIA',	'Poland', 		'JFD_MapBohemiaVaclavII512.dds',	'TXT_KEY_CIV_DAWN_JFD_BOHEMIA_VACLAV_II_TEXT',	'JFD_DOM_BohemiaVaclavII.dds',	'TXT_KEY_CIV_JFD_BOHEMIA_VACLAV_II_DESC', 	'TXT_KEY_CIV_JFD_BOHEMIA_VACLAV_II_SHORT_DESC',	'TXT_KEY_CIV_JFD_BOHEMIA_VACLAV_II_ADJECTIVE',	'TXT_KEY_CIV_JFD_BOHEMIA_VACLAV_II_TEXT_1',		'TXT_KEY_CIV_JFD_BOHEMIA_VACLAV_II',	 'PLAYERCOLOR_JFD_BOHEMIA_VACLAV_II',	 ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'JFD_BOHEMIA_VACLAV_II_ICON_ATLAS',	0,				'JFD_BOHEMIA_VACLAV_II_ALPHA_ATLAS'
FROM Civilizations WHERE Type = 'CIVILIZATION_GERMANY';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames 
		(CivilizationType, 						CityName)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_1'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_2'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_3'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_4'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_5'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_6'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_7'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_8'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_9'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_10'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_11'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_12'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_13'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_14'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_15'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_16'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_17'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_18'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_19'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_20'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_21'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_22'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_23'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_24'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_25'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_26'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_27'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_28'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_29'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_CITY_NAME_JFD_BOHEMIA_VACLAV_II_30');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 						BuildingClassType)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------------------------------------------------------------------		
-- Civilization_FreeTechs
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 						TechType)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 						UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 						LeaderheadType)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'LEADER_JFD_BOHEMIA_VACLAV_II');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_BuildingClassOverrides 
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 						BuildingClassType, 				BuildingType)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'BUILDINGCLASS_CASTLE',			'BUILDING_JFD_HRAD');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 						UnitClassType, 					UnitType)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'UNITCLASS_GREAT_GENERAL',		'UNIT_JFD_TABOR');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_Religions 
		(CivilizationType, 						ReligionType)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'RELIGION_PROTESTANTISM');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 						SpyName)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_0'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_1'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_2'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_3'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_4'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_5'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_6'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_7'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_8'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'TXT_KEY_SPY_NAME_JFD_BOHEMIA_VACLAV_II_9');
------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Priority
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_Start_Region_Avoid
		(CivilizationType, 						RegionType)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II', 	'REGION_TUNDRA'),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II', 	'REGION_JUNGLE');
--==========================================================================================================================	
-- MINOR CIVILIZATIONS
--==========================================================================================================================			
------------------------------------------------------------------------------------------------------------------------
-- MinorCivilizations
------------------------------------------------------------------------------------------------------------------------
UPDATE MinorCivilizations
SET Description = 'TXT_KEY_CITYSTATE_JFD_PADUA_DESC', 
ShortDescription = 'TXT_KEY_CITYSTATE_JFD_PADUA_SHORT_DESC', 
Adjective = 'TXT_KEY_CITYSTATE_JFD_PADUA_ADJECTIVE', 
Civilopedia = 'TXT_KEY_CITYSTATE_JFD_PADUA_TEXT'
WHERE Type = 'MINOR_CIV_PRAGUE';
------------------------------------------------------------------------------------------------------------------------	
-- MinorCivilization_CityNames
------------------------------------------------------------------------------------------------------------------------		
UPDATE MinorCivilization_CityNames
SET CityName = 'TXT_KEY_CITYSTATE_JFD_PADUA_DESC'
WHERE MinorCivType = 'MINOR_CIV_PRAGUE';
--=======================================================================================================================
--=======================================================================================================================